WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Google News Just Better

A customizable list of Google News given: language & country code, keyword(s) or topic, cache recreation frequency, number of items to display. It

Other Notes

As a widget:

  • Drag & Drop your widget in the widget-ready area of your choice;

  • Choose a title to be given to your news list (optional);

  • Tick off the box if you want your title to be linked to the correspondent feed URL (optional);

  • Localize your news (language/country) (mandatory, default: us);

  • If you live in the Usa or Canada (eng only), you might want to enter a city, state or zipcode of the news you want to display (optional);

  • Select EITHER a topic OR search word(s) (because of Google rules, if you define both, the keyword(s) will be ignored) (optional);

  • Tick off the box if you want a publication date, time, excerpt (and how many chars of it) or mention of this plugin author displayed or not (all optionals);

  • Select whether you want a dotted list or a numbered/ordered list (mandatory, default: dotted list);

  • Select whether you want the linked news to open up in a new page (default) or in the same page (mandatory, default: new page);

  • Click on 'Save' (and Close, if you want it).

As a shortcode:

  • In Posts/Pages->Add New/Edit of your wp admin page, select HTML in the entry form;

  • enter [gnews location="replace-with-the-Google-s-location-code-of-the-country-language-you-want-news-from"]. Here is a list of Google's localization codes is here.

That's the sole mandatory attribute. Optional attributes are:

  • link: either true or false to display a link to the

  • local: city, state/province or zipcode (of usa or Canada english news only)

  • search: search-words according to google search syntax (see the description above) (default: none);

  • topic: any of Google's topic-codes (default: Top Stories). Here is a list of topic codes;

  • num: number of news to be displayed (default: 3);

  • list: either "UL" or "OL" to get unordered or ordered lists;

  • target: either "_blank" or "_self" to get links opened in new/the same windows;

  • pubdate: either true or false to display the publication date/not;

  • pubtime: either true or false to display the publication time/not;

  • pubauthor: either true or false to display a link to the author/not;

Please note the following Google quirks:

  1. Not all topics are set for all country/language. If you select a topic for a country where this is not provided (as yet?) then the "Top stories" (the default) will be displayed instead.

  2. Google (not me!) allows to search by topic OR by search-word(s). The two "filters" cannot apparently work together (i.e. you cannot search for "hockey" in topic "Sport").

  3. Because of the above, if topic AND search-keys are both indicated, then the search-keys are ignored (but no, no error message).

  4. The maximum number of displayable articles depends on the number of articles stored into the XML page (RSS feed page) of Google news website (i.e. if you wish to display the latest 15 news and the XML page contains 10 news only, then only 10 will be displayed).

  5. The search syntax is that indicated by Google. In other words, in the search results, if:

  • all the words need to be present, then enter space-separated words (word1 word2 etc);

  • any of the words can be present, then enter words separated by OR (word1 OR word2);

  • words need to be excluded, then precede words with a minus or dash key (-word1 -word2);

  • the exact phrase needs to be present, then enter the phrase delimited by double quotes ("exact phrase").

The Future

  • Better error messaging;

  • Less-nerdy attributes values.

Interaction

  • Would you like to see a new feature in this plugin? Please write me here: stefonthenet@gmail.com;

  • Would you like to see a broken/orphan plugin working again? Write me anyhow, I might (hey, MIGHT not will/shall) find the time to give it a look.

Requires: 2.8 or higher
Compatible up to: 3.4.2
Last Updated: 2012-8-11
Downloads: 26,552

Ratings

4 stars
4.1 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,2,2 0,1,0 25,4,1 100,1,1 100,1,1 100,1,1 0,1,0
0,2,0
100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,2,2
100,1,1
0,1,0
100,4,4
0,1,0 100,1,1 100,2,2